Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServer::RequestProcessingPolicy_out Class Reference

`#include <PortableServerC.h>`

Collaboration diagram for PortableServer::RequestProcessingPolicy_out:

[legend]
List of all members.

## Public Methods
| RequestProcessingPolicy_out (RequestProcessingPolicy_ptr &)
| RequestProcessingPolicy_out (RequestProcessingPolicy_var &)
| RequestProcessingPolicy_out (const RequestProcessingPolicy_out &)
RequestProcessingPolicy_out & | operator= (const RequestProcessingPolicy_out &)
RequestProcessingPolicy_out & | operator= (const RequestProcessingPolicy_var &)
RequestProcessingPolicy_out & | operator= (RequestProcessingPolicy_ptr)
| operator RequestProcessingPolicy_ptr & ()
RequestProcessingPolicy_ptr & | ptr (void)
RequestProcessingPolicy_ptr | operator-> (void)
## Private Attributes
RequestProcessingPolicy_ptr & | ptr_

## Constructor & Destructor Documentation

PortableServer::RequestProcessingPolicy_out::RequestProcessingPolicy_out | ( | RequestProcessingPolicy_ptr & |  | ) |

PortableServer::RequestProcessingPolicy_out::RequestProcessingPolicy_out | ( | RequestProcessingPolicy_var & |  | ) |

PortableServer::RequestProcessingPolicy_out::RequestProcessingPolicy_out | ( | const RequestProcessingPolicy_out & |  | ) |

## Member Function Documentation

PortableServer::RequestProcessingPolicy_out::operator RequestProcessingPolicy_ptr & | ( |  | ) |

RequestProcessingPolicy_ptr PortableServer::RequestProcessingPolicy_out::operator-> | ( | void |  | ) |

RequestProcessingPolicy_out& PortableServer::RequestProcessingPolicy_out::operator= | ( | RequestProcessingPolicy_ptr |  | ) |

RequestProcessingPolicy_out& PortableServer::RequestProcessingPolicy_out::operator= | ( | const RequestProcessingPolicy_var & |  | ) |

RequestProcessingPolicy_out& PortableServer::RequestProcessingPolicy_out::operator= | ( | const RequestProcessingPolicy_out & |  | ) |

RequestProcessingPolicy_ptr& PortableServer::RequestProcessingPolicy_out::ptr | ( | void |  | ) |

## Member Data Documentation

RequestProcessingPolicy_ptr& PortableServer::RequestProcessingPolicy_out::ptr_`[private]`

The documentation for this class was generated from the following file:

- PortableServerC.h